package com.simuwang.base.pojo.dto.sys;

import com.simuwang.base.common.support.command.BaseEditCmd;
import com.simuwang.base.pojo.dos.sys.SysRoleDO;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2024/9/13 17:26
 * @description 编辑角色的接口请求参数
 */
@Setter
@Getter
public class RoleEditCmd extends BaseEditCmd<SysRoleDO> {
    /**
     * 角色id
     */
    @NotNull(message = "角色id不能为空")
    private Integer roleId;
    /**
     * 角色名称
     */
    @NotBlank(message = "角色名称不能为空")
    private String roleName;
    /**
     * 角色权限
     */
    private String roleKey;
    /**
     * 角色排序
     */
    private Integer roleSort;

    private Integer status;

    @Override
    public SysRoleDO toEntity() {
        SysRoleDO entity = new SysRoleDO();
        entity.setRoleId(this.roleId);
        entity.setRoleName(this.roleName);
        entity.setRoleKey(this.roleKey);
        entity.setRoleSort(this.roleSort);
        entity.setStatus(this.status);
        return entity;
    }
}
